Bug 1517557 - No printing from xpdf
Summary: No printing from xpdf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xpdf
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-26 19:55 UTC by Henrique Martins
Modified: 2018-01-05 13:34 UTC (History)
2 users (show)

Fixed In Version: xpdf-4.00-5.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-05 13:34:31 UTC
Type: Bug


Attachments (Terms of Use)
xpdf.spec patch (725 bytes, patch)
2017-11-26 19:55 UTC, Henrique Martins
no flags Details | Diff

Description Henrique Martins 2017-11-26 19:55:02 UTC
Created attachment 1359224 [details]
xpdf.spec patch

Description of problem:
xpdf shipped with fc27 does not support printing.

Version-Release number of selected component (if applicable):
xpdf-4.00-4.fc27.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run xpdf
2. Pull down the File menu
3. Notice no Print entry in the menu

Actual results:
Can't print from xpdf

Expected results:
Print capability, like in the older xpdf version on fc26

Additional info:
Need to pass -DXPDFWIDGET_PRINTING=1 to cmake.
Spec file also needs a BuildRequires for cups-devel.
Attaching patch to xpdf.spec with those changes and bumping the release to -5.
Building with the modified spec restores printing capability.

Comment 1 Fedora Update System 2017-11-27 16:34:36 UTC
xpdf-4.00-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee72c8b824

Comment 2 Henrique Martins 2017-11-27 19:15:53 UTC
Works fine.  Left feedback on bohdi.

Comment 3 Fedora Update System 2017-11-28 06:46:19 UTC
xpdf-4.00-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee72c8b824

Comment 4 Fedora Update System 2018-01-05 13:34:31 UTC
xpdf-4.00-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.